- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libvisio::VSDFieldListElement Class Referenceabstract

`#include <VSDFieldList.h>`

Inheritance diagram for libvisio::VSDFieldListElement:

## Public Member Functions
| VSDFieldListElement ()
virtual | ~VSDFieldListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDFieldListElement * | clone ()=0
virtual WPXString | getString (const std::map< unsigned, WPXString > &)=0
virtual void | setNameId (int)=0
virtual void | setFormat (unsigned short)=0
virtual void | setValue (double)=0

## Constructor & Destructor Documentation

libvisio::VSDFieldListElement::VSDFieldListElement | ( |  | ) |
| inline

virtual libvisio::VSDFieldListElement::~VSDFieldListElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual VSDFieldListElement* libvisio::VSDFieldListElement::clone | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

Referenced by libvisio::VSDContentCollector::collectNumericField().

virtual WPXString libvisio::VSDFieldListElement::getString | ( | const std::map< unsigned, WPXString > & |  | ) |
| pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

Referenced by libvisio::VSDContentCollector::collectNumericField(), libvisio::VSDContentCollector::collectShape(), and libvisio::VSDContentCollector::collectTextField().

virtual void libvisio::VSDFieldListElement::handle | ( | VSDCollector * | collector | ) | const
| pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

virtual void libvisio::VSDFieldListElement::setFormat | ( | unsigned | short | ) |
| pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

Referenced by libvisio::VSDContentCollector::collectNumericField().

virtual void libvisio::VSDFieldListElement::setNameId | ( | int |  | ) |
| pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

virtual void libvisio::VSDFieldListElement::setValue | ( | double |  | ) |
| pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

Referenced by libvisio::VSDContentCollector::collectNumericField().

The documentation for this class was generated from the following file:

- VSDFieldList.h